<?php
/*******************************************************************************
    Wordpress IDX and Contact Manager Plugin
    Copyright (C) 2010 pyHub Limited/Agent Storm

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/
?>
    <div class="agentstorm-crumb">
        Properties &raquo; <a href="<?php echo bloginfo('url'); ?>/property/<?php echo $state; ?>"><?php echo ucwords($state); ?></a> <?php if (!empty($city)): ?>&raquo; <a href="<?php echo bloginfo('url'); ?>/property/<?php echo $state; ?>/<?php echo urlencode($city); ?>/"><?php echo ucwords($city); ?></a><?php endif; ?>
    </div>
    <div class="agentstorm-result">
        <div class="agentstorm-result-image">
            <img src="<?php echo $result->Photos[0]->Url; ?>" width="100" />
        </div>
        <div class="agentstorm-result-description">
            <div class="agentstorm-result-address"><?php echo $result->FullAddress; ?></div>
            <div class="agentstorm-result-subaddress"><a href="<?php echo bloginfo('url'); ?>/<?php echo get_option('as_idx_urlprefix'); ?>/<?php echo strtolower($result->State); ?>/<?php echo urlencode(strtolower($result->City)); ?>/"><?php echo ucwords(strtolower($result->City)); ?></a>, <a href="<?php echo bloginfo('url'); ?>/<?php echo get_option('as_idx_urlprefix'); ?>/<?php echo strtolower($result->State); ?>/"><?php echo ucwords(strtolower($result->State)); ?></a>. <?php echo $result->Zip; ?></div>
            <div class="agentstorm-result-list">
                <div class="agentstorm-result-listitem"><label>Bedrooms:</label> <?php echo ($result->Bedrooms) ? $result->Bedrooms : '<span class="agentstorm-empty">&mdash;</span>'; ?></div>
                <div class="agentstorm-result-listitem"><label>Bathrooms:</label> <?php echo $result->FullBathrooms + ($result->HalfBathrooms / 2); ?></div>
                <div class="agentstorm-result-listitem"><label>Total Rooms:</label> <?php echo ($result->Rooms) ? $result->Rooms : '<span class="agentstorm-empty">&mdash;</span>'; ?></div>
                <div class="agentstorm-result-listitem"><label>Total Garage Spaces:</label> <?php echo ($result->Garage) ? $result->Garage : '<span class="agentstorm-empty">&mdash;</span>'; ?></div>
                <div class="agentstorm-result-listitem"><label>Year Built:</label> <?php echo ($result->YearBuilt) ? $result->YearBuilt : '<span class="agentstorm-empty">&mdash;</span>'; ?></div>
            </div>
            <?php if (isset($walkscore) && $walkscore->status == 1): ?>
            <div class="agentstorm-walkscore">
                <div class="agentstorm-walkscore-listitem"><label><a rel="nofollow" href="<?php echo $walkscore->ws_link; ?>"><img src="<?php echo $walkscore->logo_url; ?>" /></a></label> <span style="font-size: 120%;"><strong><?php echo $walkscore->walkscore; ?></strong></span> <a rel="nofollow" href="<?php echo $walkscore->more_info_link; ?>"><img src="<?php echo $walkscore->more_info_icon; ?>" /></a></div>
            </div>
            <?php endif; ?>
        </div>
        <div class="agentstorm-result-price">$ <?php echo number_format($result->ListPrice); ?></div>
        <div class="agentstorm-result-remarks">
            
            <?php echo (!empty($result->Remarks)) ? $result->Remarks : 'No Remarks for this Property'; ?>
            
            <table cellpadding="0" cellspacing="0" class="agentstorm-table">
                <tr class="agentstorm-odd">
                    <th class="agentstorm-cell" colspan="2">Schools</th>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell" style="width:200px;">School District</td>
                    <td class="agentstorm-cell"><?php echo ($result->SchoolDistrict) ? $result->SchoolDistrict : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">Elementary School</td>
                    <td class="agentstorm-cell"><?php echo ($result->ElementarySchool) ? $result->ElementarySchool : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell">Middle/Junior School</td>
                    <td class="agentstorm-cell"><?php echo ($result->MiddleOrJuniorSchool) ? $result->MiddleOrJuniorSchool : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">High School</td>
                    <td class="agentstorm-cell"><?php echo ($result->HighSchool) ? $result->HighSchool : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
            </table>
            
            <table cellpadding="0" cellspacing="0" class="agentstorm-table">
                <tr class="agentstorm-odd">
                    <th class="agentstorm-cell" colspan="2">Features</th>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell" style="width:200px;">Construction</td>
                    <td class="agentstorm-cell"><?php echo ($result->ConstructionMaterials) ? $result->ConstructionMaterials : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">Cooling</td>
                    <td class="agentstorm-cell"><?php echo ($result->Cooling) ? $result->Cooling : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell">Dining Area</td>
                    <td class="agentstorm-cell"><?php echo ($result->DiningRoomDescription) ? $result->DiningRoomDescription : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">Energy Saving</td>
                    <td class="agentstorm-cell"><?php echo ($result->EnergySavingFeatures) ? $result->EnergySavingFeatures : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell">Exterior</td>
                    <td class="agentstorm-cell"><?php echo ($result->ExteriorFeatures) ? $result->ExteriorFeatures : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">Fencing</td>
                    <td class="agentstorm-cell"><?php echo ($result->Fencing) ? $result->Fencing : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell">Fireplace</td>
                    <td class="agentstorm-cell"><?php echo ($result->FireplaceFeatures) ? $result->FireplaceFeatures : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">Flooring</td>
                    <td class="agentstorm-cell"><?php echo ($result->Flooring) ? $result->Flooring : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell">Heating</td>
                    <td class="agentstorm-cell"><?php echo ($result->Heating) ? $result->Heating : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">Kitchen</td>
                    <td class="agentstorm-cell"><?php echo ($result->KitchenDescription) ? $result->KitchenDescription : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell">Laundry</td>
                    <td class="agentstorm-cell"><?php echo ($result->LaundryDescription) ? $result->LaundryDescription : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">Lot</td>
                    <td class="agentstorm-cell"><?php echo ($result->LotFeatures) ? $result->LotFeatures : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell">Other Rooms</td>
                    <td class="agentstorm-cell"><?php echo ($result->OtherRoomsDescription) ? $result->OtherRoomsDescription : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">Roof</td>
                    <td class="agentstorm-cell"><?php echo ($result->Roof) ? $result->Roof : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell">Pool</td>
                    <td class="agentstorm-cell"><?php echo ($result->PoolFeatures) ? $result->PoolFeatures : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">Spa</td>
                    <td class="agentstorm-cell"><?php echo ($result->SpaFeatures) ? $result->SpaFeatures : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
            </table>
            
            <?php if ($result->Latitude && get_option('as_idx_gmap')): ?>
                <div class="agentstorm-map">
                    <strong>Map</strong>
                    <div id="agentstorm-gmap" style="width:100%; height:250px;"></div>
                </div>
            <?php else: ?>
                <div class="agentstorm-map">
                    <strong>Map</strong>
                    Map is unavailable for this property
                </div>
            <?php endif; ?>
            
            <?php if ($result->Latitude && get_option('as_idx_bview')): ?>
                <div class="agentstorm-map">
                    <strong>Birds Eye View</strong>
                    <iframe width="100%" height="250" frameborder="0" scrolling="no" src="http://dev.virtualearth.net/embeddedMap/v1/ajax/Birdseye?center=<?php echo $result->Latitude; ?>_<?php echo $result->Longitude; ?>&amp;pushpins=<?php echo $result->Latitude; ?>_<?php echo $result->Longitude; ?>" marginwidth="0" marginheight="0"></iframe>
                </div>
            <?php else: ?>
                <div class="agentstorm-map">
                    <strong>Birds Eye View</strong>
                    Birds Eye View is unavailable for this property
                </div>
            <?php endif; ?>
            
            <div class="agentstorm-copyright">
            	<div class="agentstorm-br-logo"><img src="<?php echo bloginfo('url'); ?>/wp-content/plugins/agent-storm/static/images/broker_reciprocity.gif" align="left" /></div>
            	<p class="first">
            		Listing Provided by <?php echo (!empty($result->AgentName)) ? ucwords(strtolower($result->AgentName)) : ucwords(strtolower($result->AgentFirstName)) . ' ' . ucwords(strtolower($result->AgentLastName)); ?>, <?php echo ucwords(strtolower($result->AgentCompany)); ?>. 
            	</p>
	            <p>
	            	The data relating to real estate for sale on this web site comes in part from the Broker Reciprocity Program.
	            </p>
	            <p>
	            	The information being provided is for consumers' personal, non-commercial use and may not be used for any other purpose other than to identify prospective properties consumers may be interested in purchasing.
	            </p>
	            <p class="last">
	            	Information deemed reliable but not guaranteed.
	            </p>
            </div>
            
        </div>
    </div>
    
    <?php if ($result->Latitude && get_option('as_idx_gmap')): ?>
        <script>
            onload = function(){
                var gmapOptions = {
                    zoom: 16,
                    center: new google.maps.LatLng(<?php echo $result->Latitude; ?>, <?php echo $result->Longitude; ?>),
                    mapTypeId: google.maps.MapTypeId.ROADMAP
                };
                var map = new google.maps.Map(document.getElementById("agentstorm-gmap"), gmapOptions);
                var marker = new google.maps.Marker({
                    position: new google.maps.LatLng(<?php echo $result->Latitude; ?>, <?php echo $result->Longitude; ?>), 
                    map: map
                });  
            }
        </script>
    <?php endif; ?>